Skip to main content
GET
/
v1
/
subscriptions
List
curl --request GET \
  --url https://{defaultHost}/v1/subscriptions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/subscriptions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/subscriptions"
  },
  "data": [
    {
      "id": "dfa231d8-037a-4cb4-b946-7e402e806c6b",
      "object": "subscription",
      "ad_hoc_amount": null,
      "affiliation_expires_at": null,
      "cancel_at_period_end": false,
      "currency": "usd",
      "current_period_end_at": 1785077907,
      "current_period_start_at": 1782485907,
      "ended_at": null,
      "finite": false,
      "last_renewal_reminder_sent_at": null,
      "live_mode": true,
      "manual_payment": false,
      "metadata": {},
      "pending_update": {},
      "price_readonly": false,
      "portal_url": "http://app.example.com/portal_redirect/subscriptions/dfa231d8-037a-4cb4-b946-7e402e806c6b",
      "quantity": 1,
      "remaining_period_count": null,
      "restart_on_completed": false,
      "restore_at": null,
      "subtotal_amount": 2900,
      "status": "active",
      "tax_enabled": false,
      "trial_end_at": null,
      "trial_start_at": null,
      "variant_options": null,
      "affiliation": null,
      "current_cancellation_act": null,
      "current_period": "16c547e7-4628-4f39-abf8-fafd1481b603",
      "customer": "274113aa-913d-4532-9daf-f46ae67a9778",
      "discount": null,
      "manual_payment_method": null,
      "payment_method": "8020c96f-d877-40a1-81f8-4ef858e7cb6b",
      "price": "a01f9594-f5b9-4b29-add2-b948e3fb5947",
      "purchase": "daf7ded8-b03f-4f1b-9cf7-d0a4fae0140d",
      "shipping_method": null,
      "variant": null,
      "created_at": 1782485907,
      "updated_at": 1782485907
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

checkout_ids[]
string[]

Only return objects that belong to the given checkouts.

customer_ids[]
string[]

Only return objects that belong to the given customers.

finite
boolean

Only return subscriptions that are finite or not.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

live_mode
boolean

Only return objects that are live mode or test mode.

page
integer

The page of items you want returned.

price_ids[]
string[]

Only return objects that belong to the given prices.

product_ids[]
string[]

Only return objects that belong to the given products.

purchase_ids[]
string[]

Only return objects that belong to the given purchases.

query
string

The query to be used for full text search of this collection.

status[]
string[]

Only return objects with the given status.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.